<?php
require_once('include/global.php');
require_once('sadmin_conf.inc.php');


// set
$CFG[TITLE] = '<b>메일서버관리</b> >> <b>유지보수 서버 수동 인증</b>';


// 유지보수 서버 인증 직접 실행 - 파일이 있을때 실행 가능 시간 무시하고 실행
if ($_GET['execute'] == '1') {
	$forceExecuteFile = $UPLOAD_ROOT_NEW . '/.agent_maintenance_cert_force';

	if (file_exists($forceExecuteFile)) {
		msg("이미 유지보수 서버 인증 실행이 요청되었습니다.\\n\\n시간이 지나도 진행되지 않을 경우, 서버에서 NmailAgent 가 실행중인지 점검이 필요합니다.", 0);
	} else {
		touch($forceExecuteFile);
		chmod($forceExecuteFile, 0777);

		msg("유지보수 서버 인증 실행을 요청하였습니다.\\n\\n약 1~2분후 화면을 새로고침하면 결과 확인이 가능합니다.", 0);
	}

	movepage('sadmin.php');
}

// data
$view = get_maintenance();

// skin view
nskinset('sadmin', 'maintenance_cert.html', 'window_open');
include($NSKIN['view_layout']);


require_once('include/global_end.php');
